echo off
rem Setup file for the Microsoft(r) Excel Promotional Edition
rem (c) December 29, 1988 Microsoft Corporation 
rem All Rights Reserved
cls
echo                   Microsoft Excel Promotional Edition SETUP
echo 
echo This batch file will setup the Promotional Edition of Microsoft Excel
echo into a subdirectory called XLDEMO on your hard disk.
echo 
echo If your hard disk is designated by a letter other than C:, then exit
echo this batch file by pressing Control+C, then restart SETUP and specify
echo the letter of your hard disk as an argument.  For example, if your 
echo hard disk is drive D:, then invoke setup by typing: SETUP D:
echo 
echo If your floppy drive is designated by a letter other than A:, you can
echo specify a second argument to SETUP which indicates the correct drive
echo letter.  For example, if your hard disk is C: and your floppy drive is
echo B:, invoke SETUP by typing SETUP C: B:.
echo 

if .%1 == . goto cont0
echo If you continue, SETUP will assume %1 is your hard disk.
if .%2 == . goto cont1
echo If you continue, SETUP will assume %2 is your floppy drive.
echo 
pause
%2
goto main

:cont1
echo If you continue, SETUP will assume A: is your floppy drive.
echo 
pause
A:
goto main

:cont0
echo If you continue, SETUP will assume C: is your hard disk.
echo If you continue, SETUP will assume A: is your floppy drive.
echo 
pause
A:

:main
echo 
echo Before SETUP copies files, please specify the type of printer you have.
echo It's assumed the printer is connected to LPT1:.
ync /c he "Type h for HP LaserJet printer or e for Epson FX printer."

if errorlevel 1 goto epson
if .%1 == . goto default1
cls
echo 
echo SETUP is now copying files to %1\XLDEMO.
echo 
mkdir %1\XLDEMO
copy *.* %1\XLDEMO
cls
echo 
echo SETUP now needs the second disk.  Please insert Disk 2 in floppy drive.
echo 
pause
echo 
echo SETUP is now copying files to %1:\XLDEMO.
echo 
copy *.* %1\XLDEMO
del %1\XLDEMO\setup.bat
del %1\XLDEMO\ync.exe
%1
cd \XLDEMO
goto done

:default1
cls
echo 
echo SETUP is now copying files to C:\XLDEMO.
echo 
mkdir c:\XLDEMO
copy *.* c:\XLDEMO
cls
echo 
echo SETUP now needs the second disk.  Please insert Disk 2 in floppy drive.
echo 
pause
echo 
echo SETUP is now copying files to C:\XLDEMO.
echo 
copy *.* c:\XLDEMO
del c:\XLDEMO\setup.bat
del c:\XLDEMO\ync.exe
c:
cd \XLDEMO
goto done

:epson
if .%1 == . goto default2
cls
echo 
echo SETUP is now copying files to %1\XLDEMO.
echo 
mkdir %1\XLDEMO
copy *.* %1\XLDEMO
cls
echo 
echo SETUP now needs the second disk.  Please insert Disk 2 in floppy drive.
echo 
pause
echo 
echo SETUP is now copying files to %1\XLDEMO.
echo 
copy *.* %1\XLDEMO
del %1\XLDEMO\setup.bat
del %1\XLDEMO\ync.exe
%1
cd \XLDEMO
ren win.ini hppcl.ini
ren epson9.ini win.ini
goto done

:default2
cls
echo 
echo SETUP is now copying files to C:\XLDEMO.
echo 
mkdir c:\XLDEMO
copy *.* c:\XLDEMO
cls
echo 
echo SETUP now needs the second disk.  Please insert Disk 2 in floppy drive.
echo 
pause
echo 
echo SETUP is now copying files to C:\XLDEMO.
echo 
copy *.* c:\XLDEMO
del c:\XLDEMO\setup.bat
del c:\XLDEMO\ync.exe
c:
cd \XLDEMO
ren win.ini hppcl.ini
ren epson9.ini win.ini

:Done
cls
echo 
echo The Promotional Edition of Microsoft Excel is now installed.  
echo To start Microsoft Excel, type EXCEL and press the Enter key.
echo 
